#ifndef _Kukinto_HPP_
#define _Kukinto_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class KukintoParticle
{
public:
    KukintoParticle();
    Vector pos;
    Vector pos2;

    float st;
    float et;
    float size;

    float speed;
    float phase;


};

class Kukinto : public Base
{
	public:

		Kukinto();
		~Kukinto();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int pcount;
        KukintoParticle **particles;
		void renderScene(float pos, float alpha);
};

#endif
